import request from '@/utils/request.js'

//大屏获取设备信息
export const getLargeScreen = (tunnelId) => {
  return request({
    url: `/tunnel/large/screen/equipment/${tunnelId}`,
    method: 'get'
  })
}
//大屏信息接口
export const getLargeScreenInfo = () => {
  return request({
    url: '/tunnel/large/screen/info',
    method: 'get'
  })
}
//通过站点id获取隧道信息
export const getTunnelBySiteId = (siteId) => {
  return request({
    url: `/tunnel/large/screen/tunnel/option/${siteId}`,
    method: 'get'
  })
}
// 传感器echarts数据
export const getEchartsInfo = (equipmentId) => {
  return request({
    url: `/tunnel/large/screen/echarts/sensor/${equipmentId}`,
    method: 'get'
  })
}
// 有害气体echarts数据
export const getBadGasEchartsInfo = (tunnelId) => {
  return request({
    url: `/tunnel/large/screen/echarts/gas/sensor/${tunnelId}`,
    method: 'get'
  })
}
//电流监控数据
export const getFanEchartsInfo = (equipmentId) => {
  return request({
    url: `/tunnel/large/screen/echarts/current/${equipmentId}`,
    method: 'get'
  })
}
